:root {
  --palette-blue: #277bc0;
  --palette-orange: #ffb200;
  --palette-yellow: #ffcb42;
  --palette-light-yellow: #fff4cf;
  --btn-bg-color-gradient: linear-gradient(
    0deg,
    rgba(255, 178, 0, 1) 0%,
    rgba(255, 222, 0, 1) 100%
  );
  --btn-link-color: #fff;
  --shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.5);
  --shadow-inset: inset 0px 0px 6px 0px rgba(0, 0, 0, 0.5);
  --nav-bg-color: linear-gradient(
    90deg,
    rgba(255, 203, 66, 1) 35%,
    rgba(255, 178, 0, 1) 100%
  );
  --nav-bg-link-color: rgba(255, 255, 255, 0.9);
  --nav-link-color: #277bc0;
  --text-color: #fff;
  --link-color: #277bc0;
  --form-bg-color: rgba(78, 65, 65, 0.06);
  --form-field-bg-color: rgba(0, 0, 0, 0.2);
  --form-field-border: 2px solid var(--palette-orange);
  --form-field-placeholder: rgba(255, 255, 255, 0.7);
  --form-field-error: rgb(255, 76, 76);
  --form-field-correct: 2px solid rgb(73, 161, 73);
  --footer-link-color: #fff;

  scroll-behavior: smooth;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: "Open Sans";
  max-width: 100%;
  overflow-x: hidden;
}

/* Navbar */
.menu {
  width: 100%;
  padding: 0.5rem 1rem;
  position: fixed;
  top: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: var(--nav-bg-color);
  z-index: 1;
  box-shadow: var(--shadow);
}

.menu__logo-bloco {
  display: flex;
  flex-direction: row;
  align-items: center;
  font-family: "Luckiest Guy";
  color: var(--text-color);
}

.menu__logo-bloco > p {
  margin: 0 8px;
}

.menu__logo {
  max-width: 160px;
}

.menu__logo-image {
  width: 100%;
  height: 2rem;
}

.menu__link {
  margin-right: 1rem;
  font-weight: bolder;
  font-size: 0.75rem;
  background-color: var(--nav-bg-link-color);
  border-radius: 20px;
  margin: 0.5rem;
  padding: 1rem;
  color: var(--nav-link-color);
  text-align: center;
  text-decoration: none;
  text-transform: uppercase;
  letter-spacing: 2px;
}

.menu__link:hover {
  text-decoration: underline;
  color: var(--palette-blue);
}

/* Custom Scrollbar */

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-thumb {
  background: var(--palette-yellow);
  border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
  background: var(--palette-orange);
}

/* Footer */
footer {
  display: flex;
  flex-direction: column;
  gap: 4rem;
  padding-top: 1rem;
  padding-bottom: 1rem;
  width: auto;
  height: 45vh;
  background-color: var(--palette-blue);
  color: var(--footer-link-color);
  text-decoration: none;
}

.empresa,
.sections {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
  font-size: 16px;
}

.sections p {
  font-size: 14px;
}

.footer__logo {
  display: flex;
  flex-direction: row;
  align-items: center;
  font-family: "Luckiest Guy";
}

.footer__logo img {
  max-width: 160px;
  max-height: 3rem;
}

.footer__logo > p {
  margin: 0 0.5rem;
}

.social {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  margin-top: 8px;
}

.footer__link {
  color: #fff;
  text-decoration: none;
}

/* Tablet */
@media screen and (min-width: 768px) and (max-width: 1023px) {
  .nav .menu__logo-image {
    height: 2.5rem;
  }
  footer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    gap: 5rem;
    margin: 0;
    padding: 2rem;
    height: 20vh;
  }
  .empresa {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
  }
  .sections {
    gap: 5rem;
  }
}

/* Telas maiores */
@media screen and (min-width: 1024px) {
  .menu__logo-image {
    height: 2.5rem;
  }
  .menu__link {
    font-size: 1rem;
    margin: 0.5rem;
    padding: 0.5rem;
    width: 100px;
  }
  .navbar-expand-lg .navbar-collapse {
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: end;
    padding: 0;
  }
  footer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    gap: 7rem;
    padding: 2rem;
    height: 27vh;
  }
  .empresa {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
  }
  .sections {
    gap: 7rem;
  }
}
